Package org.apache.commons.dbutils.handlers.columns

## Class BooleanColumnHandler

- java.lang.Object
- - org.apache.commons.dbutils.handlers.columns.BooleanColumnHandler

- All Implemented Interfaces:
    `ColumnHandler<Boolean>`

      public class BooleanColumnHandler
      extends Object
      implements ColumnHandler<Boolean>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanColumnHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Boolean` | `apply​(ResultSet resultSet, int columnIndex)` | Retrieves the current row's column value from a `ResultSet` and stores it into an instance of `propType`.
    `boolean` | `match​(Class<?> propType)` | Tests whether to handle a column targeted for a value type matching `propType`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanColumnHandler

          public BooleanColumnHandler()

  - ### Method Detail

    - #### apply

          public Boolean apply​(ResultSet resultSet,
                               int columnIndex)
                        throws SQLException

      Description copied from interface: `ColumnHandler`
      Retrieves the current row's column value from a `ResultSet` and stores it into an instance of `propType`. This method is only called if `ColumnHandler.match(Class)` returns true.
      Specified by:
        `apply` in interface `ColumnHandler<Boolean>`
      Parameters:
        `resultSet` - The source result set. This must be on the correct row.
        `columnIndex` - The position of the column to retrieve, a 1-based index.
      Returns:
        The converted value or the original value if something doesn't work out.
      Throws:
        `SQLException` - if the columnIndex is not valid; if a database access error occurs or this method is called on a closed result set

    - #### match

          public boolean match​(Class<?> propType)

      Description copied from interface: `ColumnHandler`
      Tests whether to handle a column targeted for a value type matching `propType`.
      Specified by:
        `match` in interface `ColumnHandler<Boolean>`
      Parameters:
        `propType` - The type of the target parameter.
      Returns:
        true is this property handler handles this `propType`; false otherwise.